Bug 72746 - [patch] updating www/dpsearch port to latest dataparksearch version released
Summary: [patch] updating www/dpsearch port to latest dataparksearch version released
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-10-15 21:20 UTC by Maxime Zakharov
Modified: 2004-11-05 13:04 UTC (History)
0 users

See Also:


Attachments
dp.4.25 (4.78 KB, text/plain)
2004-10-15 21:20 UTC, Maxime Zakharov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maxime Zakharov 2004-10-15 21:20:32 UTC
	update www/dpsearch port to latest (4.25) version of DataparkSearch released.
Comment 1 Tilman Keskinoz freebsd_committer 2004-11-04 13:15:05 UTC
State Changed
From-To: open->feedback

That does not fix the pointyhat problem. 

The plist is incorrect. My first guess was a missing dependency on 
jade and docbook-410 but the documentation is still not installed. 

Please investigate.
Comment 2 Maxime Zakharov 2004-11-04 13:48:59 UTC
I don't understand what the pointyhat problem is. Please explain what 
wrong with this patch.
-- 
Maxim Zakharov            http://www.maxime.net.ru/
  Sochi, Russia              http://sochi.org.ru/
Comment 3 Tilman Keskinoz freebsd_committer 2004-11-04 14:40:29 UTC
* Maxime Zakharov [Thu, 04 Nov 2004 at 15:10 GMT]:
>  I don't understand what the pointyhat problem is. Please explain what 
>  wrong with this patch.

The pkg-plist file is wrong.
Take a look at http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/e.4.2004101123/dpsearch-4.21.log

It looks like the documentation is not installed per default, probably because a dependency (maybe jade,
 or a docbook- port) is missing.
Try to build the clean environment to see the problem.
Compare your configure output against the one from pointyhat and notice the difference.

regards
tilman
Comment 4 Maxime Zakharov 2004-11-05 10:21:45 UTC
Please try with this patch.
The 4.26 version of DataparkSearch is not yet announced, but if this 
patch will be OK, I'll make announce immediatly.

In fact, docbook and openjade are not required to create HTML docs from 
distribution, since these docs are up to date in tarball. There was my 
mistake with configure in case when openjade and docbook are not 
installed at target system.


===
diff -ruN dpsearch.bak/Makefile dpsearch/Makefile
--- dpsearch.bak/Makefile	Fri Nov  5 01:56:52 2004
+++ dpsearch/Makefile	Fri Nov  5 02:02:11 2004
@@ -6,9 +6,10 @@
  #

  PORTNAME=	dpsearch
-PORTVERSION=	4.25
+PORTVERSION=	4.26
  CATEGORIES=	www
-MASTER_SITES=	http://www.dataparksearch.org/
+MASTER_SITES=	http://www.dataparksearch.org/ \
+                http://dataparksearch.h0t.de/

  MAINTAINER=	ports@FreeBSD.org
  COMMENT=	Open source search engine for Internet and Intranet sites
diff -ruN dpsearch.bak/distinfo dpsearch/distinfo
--- dpsearch.bak/distinfo	Fri Nov  5 01:56:52 2004
+++ dpsearch/distinfo	Fri Nov  5 02:02:31 2004
@@ -1,2 +1,2 @@
-MD5 (dpsearch-4.25.tar.gz) = 27b3e64ba45cec06064254902739e08e
-SIZE (dpsearch-4.25.tar.gz) = 3446203
+MD5 (dpsearch-4.26.tar.gz) = fb82c327f6eeeda11e8dcacbc7803951
+SIZE (dpsearch-4.26.tar.gz) = 3467289
diff -ruN dpsearch.bak/pkg-plist dpsearch/pkg-plist
--- dpsearch.bak/pkg-plist	Fri Nov  5 01:56:52 2004
+++ dpsearch/pkg-plist	Fri Nov  5 02:53:08 2004
@@ -127,9 +127,9 @@
  etc/dpsearch/langmap/tr.cp1254.lm
  etc/dpsearch/langmap/tr.cp857.lm
  etc/dpsearch/langmap/tr.latin5.lm
-etc/dpsearch/langmap/ua.cp1251.lm
-etc/dpsearch/langmap/ua.cp866u.lm
-etc/dpsearch/langmap/ua.koi8-u.lm
+etc/dpsearch/langmap/uk.cp1251.lm
+etc/dpsearch/langmap/uk.cp866u.lm
+etc/dpsearch/langmap/uk.koi8-u.lm
  etc/dpsearch/langmap/vi.viscii.lm
  etc/dpsearch/langmap/zh.big5.lm
  etc/dpsearch/langmap/zh.gb2312.lm
@@ -139,7 +139,9 @@
  etc/dpsearch/searchd.conf-dist
  etc/dpsearch/sections.conf-dist
  etc/dpsearch/stopwords.conf-dist
-etc/dpsearch/stopwords/ct.sl
+etc/dpsearch/stopwords/ar.sl
+etc/dpsearch/stopwords/ca.sl
+etc/dpsearch/stopwords/ca2.sl
  etc/dpsearch/stopwords/cz.sl
  etc/dpsearch/stopwords/da.sl
  etc/dpsearch/stopwords/de.sl
@@ -154,19 +156,26 @@
  etc/dpsearch/stopwords/fr.sl
  etc/dpsearch/stopwords/fr.top100.sl
  etc/dpsearch/stopwords/fr.top1000.sl
+etc/dpsearch/stopwords/he.sl
  etc/dpsearch/stopwords/hu.sl
+etc/dpsearch/stopwords/hu2.sl
+etc/dpsearch/stopwords/is.sl
  etc/dpsearch/stopwords/it.sl
+etc/dpsearch/stopwords/ja.sl
  etc/dpsearch/stopwords/lt.sl
+etc/dpsearch/stopwords/lv.sl
  etc/dpsearch/stopwords/nl.sl
  etc/dpsearch/stopwords/nl.top100.sl
  etc/dpsearch/stopwords/nl.top1000.sl
  etc/dpsearch/stopwords/no.sl
  etc/dpsearch/stopwords/pl.sl
  etc/dpsearch/stopwords/pt.sl
+etc/dpsearch/stopwords/ro.sl
  etc/dpsearch/stopwords/ru.sl
  etc/dpsearch/stopwords/sk.sl
+etc/dpsearch/stopwords/th.sl
  etc/dpsearch/stopwords/tr.sl
-etc/dpsearch/stopwords/ua.sl
+etc/dpsearch/stopwords/uk.sl
  etc/dpsearch/stored.conf-dist
  etc/dpsearch/storedoc.htm-dist
  etc/dpsearch/synonym/english.syn
@@ -258,6 +267,103 @@
  sbin/splitter
  sbin/stored
  %%DOCSDIR%%/README.html
+%%DOCSDIR%%/body-after.html
+%%DOCSDIR%%/body-before.html
+%%DOCSDIR%%/datapark.css
+%%DOCSDIR%%/dpsearch-authors.en.html
+%%DOCSDIR%%/dpsearch-authors.ru.html
+%%DOCSDIR%%/dpsearch-cachemode.en.html
+%%DOCSDIR%%/dpsearch-cachemode.ru.html
+%%DOCSDIR%%/dpsearch-categories.en.html
+%%DOCSDIR%%/dpsearch-categories.ru.html
+%%DOCSDIR%%/dpsearch-cjk.en.html
+%%DOCSDIR%%/dpsearch-cjk.ru.html
+%%DOCSDIR%%/dpsearch-content-enc.en.html
+%%DOCSDIR%%/dpsearch-content-enc.ru.html
+%%DOCSDIR%%/dpsearch-db2.en.html
+%%DOCSDIR%%/dpsearch-db2.ru.html
+%%DOCSDIR%%/dpsearch-dbschema.en.html
+%%DOCSDIR%%/dpsearch-dbschema.ru.html
+%%DOCSDIR%%/dpsearch-disclaimer.en.html
+%%DOCSDIR%%/dpsearch-disclaimer.ru.html
+%%DOCSDIR%%/dpsearch-doingsearch.en.html
+%%DOCSDIR%%/dpsearch-doingsearch.ru.html
+%%DOCSDIR%%/dpsearch-extended-indexing.en.html
+%%DOCSDIR%%/dpsearch-extended-indexing.ru.html
+%%DOCSDIR%%/dpsearch-fuzzy.en.html
+%%DOCSDIR%%/dpsearch-fuzzy.ru.html
+%%DOCSDIR%%/dpsearch-get.en.html
+%%DOCSDIR%%/dpsearch-get.ru.html
+%%DOCSDIR%%/dpsearch-howstore.en.html
+%%DOCSDIR%%/dpsearch-howstore.ru.html
+%%DOCSDIR%%/dpsearch-html.en.html
+%%DOCSDIR%%/dpsearch-html.ru.html
+%%DOCSDIR%%/dpsearch-htmlparser-comments.en.html
+%%DOCSDIR%%/dpsearch-htmlparser-comments.ru.html
+%%DOCSDIR%%/dpsearch-htmlparser-links.en.html
+%%DOCSDIR%%/dpsearch-htmlparser-links.ru.html
+%%DOCSDIR%%/dpsearch-htmlparser-meta.en.html
+%%DOCSDIR%%/dpsearch-htmlparser-meta.ru.html
+%%DOCSDIR%%/dpsearch-htmlparser-spec.en.html
+%%DOCSDIR%%/dpsearch-htmlparser-spec.ru.html
+%%DOCSDIR%%/dpsearch-htmlparser.en.html
+%%DOCSDIR%%/dpsearch-htmlparser.ru.html
+%%DOCSDIR%%/dpsearch-http-codes.en.html
+%%DOCSDIR%%/dpsearch-http-codes.ru.html
+%%DOCSDIR%%/dpsearch-index-ru.ru.html
+%%DOCSDIR%%/dpsearch-index.en.html
+%%DOCSDIR%%/dpsearch-indexer-configuration.en.html
+%%DOCSDIR%%/dpsearch-indexer-configuration.ru.html
+%%DOCSDIR%%/dpsearch-indexing.en.html
+%%DOCSDIR%%/dpsearch-indexing.ru.html
+%%DOCSDIR%%/dpsearch-install.en.html
+%%DOCSDIR%%/dpsearch-install.ru.html
+%%DOCSDIR%%/dpsearch-installing.en.html
+%%DOCSDIR%%/dpsearch-installing.ru.html
+%%DOCSDIR%%/dpsearch-installproblem.en.html
+%%DOCSDIR%%/dpsearch-installproblem.ru.html
+%%DOCSDIR%%/dpsearch-international.en.html
+%%DOCSDIR%%/dpsearch-international.ru.html
+%%DOCSDIR%%/dpsearch-intro.en.html
+%%DOCSDIR%%/dpsearch-intro.ru.html
+%%DOCSDIR%%/dpsearch-lib.en.html
+%%DOCSDIR%%/dpsearch-lib.ru.html
+%%DOCSDIR%%/dpsearch-misc.en.html
+%%DOCSDIR%%/dpsearch-misc.ru.html
+%%DOCSDIR%%/dpsearch-mod_dpsearch.en.html
+%%DOCSDIR%%/dpsearch-mod_dpsearch.ru.html
+%%DOCSDIR%%/dpsearch-multilang.en.html
+%%DOCSDIR%%/dpsearch-multilang.ru.html
+%%DOCSDIR%%/dpsearch-opsys.en.html
+%%DOCSDIR%%/dpsearch-opsys.ru.html
+%%DOCSDIR%%/dpsearch-oracle.en.html
+%%DOCSDIR%%/dpsearch-oracle.ru.html
+%%DOCSDIR%%/dpsearch-perf.en.html
+%%DOCSDIR%%/dpsearch-perf.ru.html
+%%DOCSDIR%%/dpsearch-register.en.html
+%%DOCSDIR%%/dpsearch-register.ru.html
+%%DOCSDIR%%/dpsearch-rel.en.html
+%%DOCSDIR%%/dpsearch-rel.ru.html
+%%DOCSDIR%%/dpsearch-searchd.en.html
+%%DOCSDIR%%/dpsearch-searchd.ru.html
+%%DOCSDIR%%/dpsearch-srcache.en.html
+%%DOCSDIR%%/dpsearch-srcache.ru.html
+%%DOCSDIR%%/dpsearch-stored.en.html
+%%DOCSDIR%%/dpsearch-stored.ru.html
+%%DOCSDIR%%/dpsearch-subsections.en.html
+%%DOCSDIR%%/dpsearch-subsections.ru.html
+%%DOCSDIR%%/dpsearch-syslog.en.html
+%%DOCSDIR%%/dpsearch-syslog.ru.html
+%%DOCSDIR%%/dpsearch-templates.en.html
+%%DOCSDIR%%/dpsearch-templates.ru.html
+%%DOCSDIR%%/dpsearch-toolsreq.en.html
+%%DOCSDIR%%/dpsearch-toolsreq.ru.html
+%%DOCSDIR%%/dpsearch-track.en.html
+%%DOCSDIR%%/dpsearch-track.ru.html
+%%DOCSDIR%%/dpsearch-vary.en.html
+%%DOCSDIR%%/dpsearch-vary.ru.html
+%%DOCSDIR%%/index.en.html
+%%DOCSDIR%%/index.ru.html
  %%DATADIR%%/ibase/create.crc-multi.sql
  %%DATADIR%%/ibase/create.multi.sql
  %%DATADIR%%/ibase/create.single.sql
===
Comment 5 Tilman Keskinoz freebsd_committer 2004-11-05 10:48:19 UTC
Better, but not quite:
===>  Building package for dpsearch-4.26
Creating package /usr/ports/packages/All/dpsearch-4.26.tgz
Registering depends: postgresql-7.4.5 gettext-0.13.1_1 libgnugetopt-1.2 libiconv-1.9.2_1 expat-1.95.8.
Creating gzip'd tar ball in '/usr/ports/packages/All/dpsearch-4.26.tgz'
tar: share/doc/dataparksearch/README.html: Cannot stat: No such file or directory
tar: Error exit delayed from previous errors
pkg_create: make_dist: tar command failed with code 512
*** Error code 1

With jade installed it seems to work. This is without jade on 4.x

regards
tilman

BTW: You are still bouncing my email.
Comment 6 Maxime Zakharov 2004-11-05 12:05:42 UTC
Yet another patch in addition to previous.
README.html is now installed in both cases, with and without jade.

==
diff -ruN dpsearch.bak/distinfo dpsearch/distinfo
--- dpsearch.bak/distinfo       Fri Nov  5 02:02:31 2004
+++ dpsearch/distinfo   Fri Nov  5 14:38:06 2004
@@ -1,2 +1,2 @@
-MD5 (dpsearch-4.26.tar.gz) = fb82c327f6eeeda11e8dcacbc7803951
-SIZE (dpsearch-4.26.tar.gz) = 3467289
+MD5 (dpsearch-4.26.tar.gz) = 009bfbdfb64f382ce1d3b7338a1d689d
+SIZE (dpsearch-4.26.tar.gz) = 3467280
==

I shotdown yet another mailfilter rule. If you'll still have mail 
bounce, let me know.

-- 
Maxim Zakharov            http://www.maxime.net.ru/
  Sochi, Russia              http://sochi.org.ru/
Comment 7 Tilman Keskinoz freebsd_committer 2004-11-05 13:04:26 UTC
State Changed
From-To: feedback->closed

Committed, thanks.